Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047400
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajoralways2021-07-15 11:472021-07-28 12:22
ReporterjetxarriView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRR20Q3.4SCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047400: Not possible to calculate discounts with a role without permissions

DescriptionThe module is "Discounts Engine for Backend" with javapackage "org.openbravo.discounts" but as I was not able to find the module I am creating here the issue.

Not possible to calculate discounts with a role without permissions, you will get errror

Entity PricingAdjustment is not directly readable, only id and identifier properties are readable.....
Steps To Reproduce-Create a role with access to Web POS
-Do a request to endpoint https://..openbravo/ws/org.openbravo.discounts.discount [^]

Verify that you get the error.

More info about how to do the request
http://wiki.openbravo.com/wiki/Module:Discounts_Engine_For_Backend [^]
Proposed SolutionAttached a patch
TagsNOR
Attached Filesdiff file icon NotPermissionDiscounts.diff [^] (1,388 bytes) 2021-07-15 11:47 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0130809)
hgbot (developer)
2021-07-27 16:50

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.discounts/-/merge_requests/7 [^]
(0130831)
hgbot (developer)
2021-07-28 12:22

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.discounts [^]
Changeset: ea085c796bec87ed29a4b5b82e123d55e617f2e0
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-07-21T15:10:53-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.discounts/-/commit/ea085c796bec87ed29a4b5b82e123d55e617f2e0 [^]

Fixed BUG-47400: Calculate discounts with admin role permissions.

---
M src/org/openbravo/discounts/ws/DiscountsWebService.java
---
(0130832)
hgbot (developer)
2021-07-28 12:22

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.discounts/-/merge_requests/7 [^]

- Issue History
Date Modified Username Field Change
2021-07-15 11:47 jetxarri New Issue
2021-07-15 11:47 jetxarri Assigned To => Retail
2021-07-15 11:47 jetxarri File Added: NotPermissionDiscounts.diff
2021-07-15 11:47 jetxarri Triggers an Emergency Pack => No
2021-07-15 11:48 jetxarri Tag Attached: NOR
2021-07-21 21:14 rqueralta Assigned To Retail => rqueralta
2021-07-21 21:14 rqueralta Status new => scheduled
2021-07-27 16:50 hgbot Note Added: 0130809
2021-07-28 12:22 hgbot Resolution open => fixed
2021-07-28 12:22 hgbot Status scheduled => closed
2021-07-28 12:22 hgbot Note Added: 0130831
2021-07-28 12:22 hgbot Note Added: 0130832


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker